/*
 * Copyright (c) 2006 Charles S. Wilson
 * 
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 * 
 * The above copyright notice and this permission notice shall be included 
 * in all copies or substantial portions of the Software.
 * 
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS 
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR 
 * OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, 
 * ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR 
 * OTHER DEALINGS IN THE SOFTWARE.
 */
#ifndef LIBIBERTY_DECLS_H
#define LIBIBERTY_DECLS_H

char ** dupargv (char **argv);
void freeargv (char **vector);
char **buildargv (const char *input);
/* void expandargv (int *argcp, char ***argvp); */

extern const char * lbasename (const char *name);
extern int xatexit (void (*fn) (void));
extern void xexit (int status);
extern void xmalloc_set_program_name (const char *);
extern void xmalloc_failed (size_t);
extern void *xmalloc (size_t);
extern void *xrealloc (void *, size_t);
extern void *xcalloc (size_t, size_t);
extern char *xstrdup (const char *);
extern char *xstrndup (const char *, size_t);
extern void *xmemdup (const void *, size_t, size_t);
extern char *xstrerror (int);

#endif

